Modify

Opened 7 years ago

Closed 18 months ago

#2383 closed defect (fixed)

does it work with 0.11 ?

Reported by: artur.kwiatkowski@… Owned by: coderanger
Priority: highest Component: PyDotOrgTheme
Severity: critical Keywords:
Cc: Trac Release: 0.11

Description

hi there, just wanted to install the theme on my trac 0.11b1, but after the install - i tried locally or even globally, i dont see any changes. also no options for manual change arent available in the administration webgui.

does it work in trac 0.11 ?

Attachments (0)

Change History (6)

comment:1 Changed 7 years ago by anonymous

It needs the ThemeEnginePlugin and it only works on 0.10 so my guess is no. But if you find a way let us know.

comment:2 Changed 6 years ago by anonymous

0.11 uses genshi instead of CS for templating so i'm pretty sure it doesn't work. (not tried it myself though)

if anybody ports the templates to genshi, please upload a patch so we can all enjoy this theme on >0.11 :)

comment:3 Changed 6 years ago by coderanger

The theme has already been ported, however I will not release ThemeEngine until it is finished.

comment:4 Changed 6 years ago by anonymous

Thanks for the update coderanger, need help/input on ThemeEngine ?

comment:5 Changed 5 years ago by anonymous

  • Priority changed from normal to highest
  • Severity changed from normal to critical

when enabling the theme in trac 0.11.6 there is a mistake in the trac.ini file

[theme]
theme = Pydotorg

should be

[theme]
theme = PyDotOrg

Case sensitive !!

comment:6 Changed 18 months ago by rjollos

  • Resolution set to fixed
  • Status changed from new to closed

There is a 0.11 branch and ThemeEnginePlugin works with Trac 0.11 and later.

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.